octonet - Segnalazione #279

octnet crash - creazione utente con controller group disabilitato

05/31/2017 02:01 PM - Michael Guggenberg

Status: Chiuso
Priority: Normale
Assignee: TRUELITE
Category:

Target version:

Start date: 05/31/2017
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

Se creo un utente con il controller group disabilitato octonet va in crash.

octofussd.log:

2017-05-31T13:48:32+0200 [stdout#info] CREATE users/users/test2/groups/docenti None
2017-05-31T13:48:32+0200 [stderr#error] Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/octofuss/xmirpc.py”, line 155, in _wrap_call
res = callable(*args)

File "/usr/sbin/octofussd”, line 142, in create
return self.tree.create(path, value)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 114, in create
return self.Icreate(_tolist(path), value)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 273, in Icreate
return tree.Icreate(path[1:], value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 273, in Icreate
return tree.Icreate(path[1:], value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 576, in Icreate
return el.Icreate(path[1:], value)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 426, in Icreate
if sub: return sub.Icreate(path[1:], value, **kw)

File "/usr/lib/python3/dist-packages/octofuss/tree.py”, line 578, in Icreate
return self.new_element(path[0], value)

File "/usr/share/octofussd/plugins/usersplugin/common.py”, line 110, in new_element
user.commit()

File "/usr/share/octofussd/plugins/usersplugin/ldapusers.py”, line 341, in commit
common.userDB.commitModify(self.data)

File "/usr/share/octofussd/plugins/usersplugin/ldapusers.py”, line 101, in commitModify
self.ldap.modify(obj._dn, obj._changes)

File "/usr/lib/python3/dist-packages/Idap3/core/connection.py”, line 498, in modify
raise LDAPChangesError(self.last_error)

2017-05-31T13:48:32+0200 [stderr#error] Idap3.core.exceptions.LDAPChangesError: no changes in modify request
2017-05-31T13:48:32+0200 [stdout#info] Exception <class 'ldap3.core.exceptions.LDAPChangesError'> is not whitelisted
2017-05-31T13:48:32+0200 [stdout#info] Exception <class 'ldap3.core.exceptions.LDAPExceptionError'> is not whitelisted
2017-05-31T13:48:32+0200 [stdout#info] Exception <class 'ldap3.core.exceptions.LDAPException'> is not whitelisted

History

#1 - 05/31/2017 02:01 PM - Michael Guggenberg

- Assignee set to TRUELITE

#2 - 05/31/2017 02:02 PM - Christopher R. Gabriel

- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Michael Guggenberg

Per capire meglio, con "controller group disabilitato" intendi creare un utente senza specifica il controller group?

#3 - 05/31/2017 04:34 PM - Michael Guggenberg
si

#4 - 06/01/2017 09:23 AM - Christopher R. Gabriel

Non riesco a riprodurlo sulla mia installazione.
Se per te €' riproducibile, ti chiederei la cortesia di:

e modifica /etc/octonet.conf modificando 'DEBUG = False' in 'DEBUG = True'
¢ Riprodurre il problema
e Inviare tutto il testo che ottieni premendo sul link "Switch to copy&paste version" della pagina di errore.

#5 - 06/23/2017 10:04 AM - Michael Guggenberg

Non riesco piu a riprodurlo, chiudo.

#6 - 06/23/2017 10:04 AM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

#7 - 06/23/2017 10:05 AM - Michael Guggenberg
- Status changed from Commenti to Chiuso

- % Done changed from 0 to 100
